Bug 125867 - (ACPI) via82xx/irq disabled
(ACPI) via82xx/irq disabled
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-12 16:52 EDT by Erik Karu
Modified: 2015-01-04 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:39:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik Karu 2004-06-12 16:52:26 EDT
Description of problem:
After upgrading kernel, I've received these messages when starting
xmms after boot:

via82xx: Assuming DXS channels with 48k fixed sample rate.
         Please try dxs_support=1 or dxs_support=4 option
         and report if it works on your machine.
irq 10: nobody cared! (screaming interrupt?)
Stack pointer is garbage, not printing trace
handlers:
[<22969347>] (snd_via82xx_interrupt+0x0/0x79 [snd_via82xx])
Disabling IRQ #10
PCI: Setting latency timer of device 0000:00:11.5 to 64

Version-Release number of selected component (if applicable):
kernel-2.6.6-1.427

How reproducible:
Sometimes.

Steps to Reproduce:
1. Boot the machine
2. Start xmms
3. The error is printed
  
Actual results:
The error is printed.

Expected results:
No errors, as was with original FC2 kernel.

Additional info:
root@localhost:~# lspci -vvv
00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400/KT600 AGP]
Host Bridge (rev 80)
        Subsystem: VIA Technologies, Inc. VT8377 [KT400/KT600 AGP]
Host Bridge
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort+ >SERR- <PERR-
        Latency: 8
        Region 0: Memory at b0000000 (32-bit, prefetchable)
        Capabilities: [80] AGP version 3.5
                Status: RQ=32 Iso- ArqSz=0 Cal=2 SBA+ ITACoh- GART64-
HTrans- 64bit- FW+ AGP3+ Rate=x4,x8
                Command: RQ=1 ArqSz=0 Cal=0 SBA- AGP- GART64- 64bit-
FW- Rate=<none>
        Capabilities: [c0] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge (prog-if
00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
        I/O behind bridge: 0000c000-0000cfff
        Memory behind bridge: e0000000-e1ffffff
        Prefetchable memory behind bridge: c0000000-dfffffff
        Expansion ROM at 0000c000 [disabled] [size=4K]
        BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B-
        Capabilities: [80] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:0f.0 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
(prog-if 8a [Master SecP PriP])
        Subsystem: VIA Technologies, Inc.
VT82C586/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32
        Interrupt: pin A routed to IRQ 11
        Region 4: I/O ports at d000 [size=16]
        Capabilities: [c0] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge [K8T800
South]
        Subsystem: VIA Technologies, Inc. VT8237 ISA bridge [K8T800 South]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping+ SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 0
        Capabilities: [c0] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
        Subsystem: Unknown device 1695:300c
        Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin C routed to IRQ 10
        Region 0: I/O ports at e400
        Capabilities: [c0] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II]
(rev 78)
        Subsystem: Unknown device 1695:300c
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (750ns min, 2000ns max), Cache Line Size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at e800
        Region 1: Memory at e2001000 (32-bit, non-prefetchable) [size=256]
        Capabilities: [40] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

00:13.0 FireWire (IEEE 1394): VIA Technologies, Inc. IEEE 1394 Host
Controller (rev 80) (prog-if 10 [OHCI])
        Subsystem: Unknown device 1695:900e
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (8000ns max), Cache Line Size 08
        Interrupt: pin A routed to IRQ 10
        Region 0: Memory at e2002000 (32-bit, non-prefetchable)
        Region 1: I/O ports at ec00 [size=128]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2+ AuxCurrent=0mA
PME(D0-,D1-,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:00.0 VGA compatible controller: ATI Technologies Inc RV350 AP
[Radeon 9600] (prog-if 00 [VGA])
        Subsystem: PC Partner Limited GC-R9600PRO Primary [Sapphire]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (2000ns min), Cache Line Size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at c0000000 (32-bit, prefetchable)
        Region 1: I/O ports at c000 [size=256]
        Region 2: Memory at e1000000 (32-bit, non-prefetchable) [size=64K]
        Capabilities: [58] AGP version 3.0
                Status: RQ=256 Iso- ArqSz=0 Cal=0 SBA+ ITACoh- GART64-
HTrans- 64bit- FW+ AGP3+ Rate=x4,x8
                Command: RQ=1 ArqSz=0 Cal=0 SBA+ AGP- GART64- 64bit-
FW- Rate=<none>
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:00.1 Display controller: ATI Technologies Inc RV350 AP [Radeon
9600] (Secondary)
        Subsystem: PC Partner Limited GC-R9600PRO Secondary [Sapphire]
        Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop-
ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium
>TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Region 0: Memory at d0000000 (32-bit, prefetchable) [disabled]
        Region 1: Memory at e1010000 (32-bit, non-prefetchable)
[disabled] [size=64K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

root@localhost:~# lspci -n  
00:00.0 Class 0600: 1106:3189 (rev 80)
00:01.0 Class 0604: 1106:b198
00:0f.0 Class 0101: 1106:0571 (rev 06)
00:11.0 Class 0601: 1106:3227
00:11.5 Class 0401: 1106:3059 (rev 60)
00:12.0 Class 0200: 1106:3065 (rev 78)
00:13.0 Class 0c00: 1106:3044 (rev 80)
01:00.0 Class 0300: 1002:4150
01:00.1 Class 0380: 1002:4170
root@localhost:~#
Comment 1 Erik Karu 2004-06-13 06:22:45 EDT
More info: tried adding dxs_support=1 and also dxs_support=4 in
/etc/modprobe.conf and rebooted with changes, but either one did not
help. Also noticed that xmms works ok in spite of the error mgs, but
mpg321 won't play anything, only jams and after ctrl+c says:

[0:00] Decoding of test.mp3 finished.
ALSA lib pcm_hw.c:523:(snd_pcm_hw_drain) SNDRV_PCM_IOCTL_DRAIN failed:
Input/output error

If I boot to kernel-2.6.5-1.358 eveyrthing works perfectly.
Comment 2 Erik Karu 2004-06-18 12:56:35 EDT
I'm seeing this same problem with kernel-2.6.6-1.435. Help me!
Comment 3 Alan Cox 2004-06-18 23:10:45 EDT
Try booting with "acpi=off" and let me know if that helps ?
Comment 4 Erik Karu 2004-06-19 03:30:53 EDT
Alan, the strangest thing: with acpi=off I don't get the error message
and xmms works well, but with mpg321 I get after a couple of seconds:

root@localhost:~> mpg321 test.mp3
High Performance MPEG 1.0/2.0/2.5 Audio Player for Layer 1, 2, and 3.
Version 0.59q (2002/03/23). Written and copyrights by Joe Drew.
Uses code from various people. See 'README' for more!
THIS SOFTWARE COMES WITH ABSOLUTELY NO WARRANTY! USE AT YOUR OWN RISK!

Playing MPEG stream from test.mp3 ...
MPEG 1.0 layer III, 320 kbit/s, 44100 Hz stereo
mpg123: pcm.c:5896: snd_pcm_mmap_commit: Assertion `frames <=
snd_pcm_mmap_avail(pcm)' failed.
zsh: abort      mpg321 test.mp3
root@localhost:~> 

dmesg says at the bottom:

via82xx: Assuming DXS channels with 48k fixed sample rate.
         Please try dxs_support=1 or dxs_support=4 option
         and report if it works on your machine.
PCI: Found IRQ 5 for device 0000:00:11.5
PCI: Sharing IRQ 5 with 0000:00:13.0
PCI: Setting latency timer of device 0000:00:11.5 to 64

Options mentioned won't help. With kernel-2.6.5-1.358 this worked just
fine.
Comment 5 Alan Cox 2004-06-19 06:59:59 EDT
The latter looks like a bug in mpg321 or in the driver. Is your mpg321
using OSS or ALSA do you know ?
Comment 6 Erik Karu 2004-06-19 08:47:06 EDT
ALSA, I think. I'm not quite sure how to check that but my system is
FC2+all updates+mpg321-0.2.10.3-0.lvn.1.2 (from rpm.livna.org). Just
after boot (with acpi=off) lsmod says:

Module                  Size  Used by
ipv6                  184672  8
via_rhine              15752  0
mii                     3584  1 via_rhine
ipt_REJECT              4736  1
ipt_state               1536  5
ip_conntrack           24968  1 ipt_state
iptable_filter          2176  1
ip_tables              13568  3 ipt_REJECT,ipt_state,iptable_filter
dm_mod                 32800  0
ext3                  103656  1
jbd                    40728  1 ext3

Then, I do 'mpg321 test.mp3', it fails as shown earlier and after that
lsmod says:

Module                  Size  Used by
snd_via82xx            20644  0 
snd_ac97_codec         54788  1 snd_via82xx
snd_pcm                69256  1 snd_via82xx
snd_timer              17284  1 snd_pcm
snd_page_alloc          8072  2 snd_via82xx,snd_pcm
gameport                3328  1 snd_via82xx
snd_mpu401_uart         4864  1 snd_via82xx
snd_rawmidi            17444  1 snd_mpu401_uart
snd_seq_device          6152  1 snd_rawmidi
snd                    39396  7
snd_via82xx,snd_ac97_codec,snd_pcm,snd_timer,snd
_mpu401_uart,snd_rawmidi,snd_seq_device
soundcore               6112  1 snd
ipv6                  184672  8 
via_rhine              15752  0 
mii                     3584  1 via_rhine
ipt_REJECT              4736  1 
ipt_state               1536  5 
ip_conntrack           24968  1 ipt_state
iptable_filter          2176  1 
ip_tables              13568  3 ipt_REJECT,ipt_state,iptable_filter
dm_mod                 32800  0 
ext3                  103656  1 
jbd                    40728  1 ext3

I've also used alsamixer to adjust sound settings and my
/etc/modprobe.conf has:

alias eth0 via-rhine
alias snd-card-0 snd-via82xx
install snd-via82xx /sbin/modprobe --ignore-install snd-via82xx &&
/usr/sbin/alsactl restore >/dev/null 2>&1 || :
remove snd-via82xx { /usr/sbin/alsactl store >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-via82xx


Hope this helps.
Comment 7 Dave Jones 2005-04-16 01:39:16 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.